Bug 239766 - sysutils/cbsd: Fix build with non-x86
Summary: sysutils/cbsd: Fix build with non-x86
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-10 21:29 UTC by Piotr Kubaj
Modified: 2019-10-14 13:30 UTC (History)
1 user (show)

See Also:
olevole: maintainer-feedback+
koobs: merge-quarterly?


Attachments
patch (666 bytes, patch)
2019-08-10 21:29 UTC, Piotr Kubaj
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-08-10 21:29:33 UTC
Created attachment 206428 [details]
patch

!x86 architectures don't have SSE4.2.

I verified that this port still builds on powerpc64.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-11 02:58:33 UTC
Comment on attachment 206428 [details]
patch

QA'd Build, Run, Package failure fixes are:

Approved by: portmgr (blanket: build, run, package fix)
MFH: 2019Q3
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-11 03:00:01 UTC
^Triage: Reporter is committer, assign accordingly

@Piotr Feel free to self-assign issues you report in future (where MAINTAINER != committer)
Comment 3 olevole 2019-08-12 08:19:04 UTC
Thank! Please commit this. I'll take it upstream in the next version
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2019-08-27 22:20:53 UTC
Approved as mentor.
Comment 5 Piotr Kubaj freebsd_committer 2019-10-14 13:30:06 UTC
Builds now without this fix.